Loading...
Searching...
No Matches
casacore::Adios2StManColumn::ArrayColumnCellsVIter Class Reference

Iterates over a RefRows object, adjusting an Adios2StManColumn's adios variable selection to cover the required table rows (and the full cell) while also calculating the offset into a given user-provided array where data corresponding to such rows should be written into or read from. More...

`#include <Adios2StManColumn.h>`

## Public Member Functions

| ArrayColumnCellsVIter (Adios2StManColumn &column, const RefRows &rownrs)
bool | finished () const
| Whether there are more rows to go through.
std::size_t | next_offset ()
| Adjusts the Adios2StManColumn's adios variable selection to cover the next set of rows, returning the offset into the user-provided array that corresponds to that selection.

## Private Attributes

Adios2StManColumn & | itsColumn
RefRowsSliceIter | itsRowsSliceIter
std::size_t | itsOffset

## Detailed Description

Iterates over a RefRows object, adjusting an Adios2StManColumn's adios variable selection to cover the required table rows (and the full cell) while also calculating the offset into a given user-provided array where data corresponding to such rows should be written into or read from.

Definition at line 127 of file Adios2StManColumn.h.

## Constructor & Destructor Documentation

## ArrayColumnCellsVIter()

casacore::Adios2StManColumn::ArrayColumnCellsVIter::ArrayColumnCellsVIter | ( | Adios2StManColumn & | column,
|  | const RefRows & | rownrs )

References casacore::Adios2StManColumn::Adios2StManColumn().

## Member Function Documentation

## finished()

bool casacore::Adios2StManColumn::ArrayColumnCellsVIter::finished | ( |  | ) | const

Whether there are more rows to go through.

## next_offset()

std::size_t casacore::Adios2StManColumn::ArrayColumnCellsVIter::next_offset | ( |  | ) |

Adjusts the Adios2StManColumn's adios variable selection to cover the next set of rows, returning the offset into the user-provided array that corresponds to that selection.

## Member Data Documentation

## itsColumn

Adios2StManColumn& casacore::Adios2StManColumn::ArrayColumnCellsVIter::itsColumn

private

Definition at line 141 of file Adios2StManColumn.h.

## itsOffset

std::size_t casacore::Adios2StManColumn::ArrayColumnCellsVIter::itsOffset

private

Definition at line 143 of file Adios2StManColumn.h.

## itsRowsSliceIter

RefRowsSliceIter casacore::Adios2StManColumn::ArrayColumnCellsVIter::itsRowsSliceIter

private

Definition at line 142 of file Adios2StManColumn.h.

The documentation for this class was generated from the following file:

- tables/DataMan/Adios2StManColumn.h